Bug 1092783 (CVE-2014-0193) - CVE-2014-0193 netty: DoS via memory exhaustion during data aggregation
Summary: CVE-2014-0193 netty: DoS via memory exhaustion during data aggregation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0193
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140501,reported=2...
Depends On: 1092791 1092792 1092793 1092794 1092795 1092796 1092797 1092798 1092799 1092800 1092801 1092802 1092803 1160698 1169387 1200163
Blocks: 1059445 1082938 1092804 1093885 1114455 1116304 1181883 1182400 1182419 1200191
TreeView+ depends on / blocked
 
Reported: 2014-04-30 02:19 UTC by Arun Babu Neelicattu
Modified: 2019-06-08 20:01 UTC (History)
56 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the WebSocket08FrameDecoder implementation that could allow a remote attacker to trigger an Out Of Memory Exception by issuing a series of TextWebSocketFrame and ContinuationWebSocketFrames. Depending on the server configuration, this could lead to a denial of service.
Clone Of:
Environment:
Last Closed: 2015-07-10 02:46:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0818 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.2 update 2014-07-01 00:51:53 UTC
Red Hat Product Errata RHSA-2014:0910 normal SHIPPED_LIVE Important: Red Hat JBoss Operations Network 3.2.2 update 2014-07-21 22:35:10 UTC
Red Hat Product Errata RHSA-2014:1019 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.3.0 update 2014-08-06 19:06:42 UTC
Red Hat Product Errata RHSA-2014:1020 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.3.0 update 2014-08-06 19:03:06 UTC
Red Hat Product Errata RHSA-2014:1021 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.3.0 update 2014-08-06 18:52:25 UTC
Red Hat Product Errata RHSA-2014:1351 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse/A-MQ 6.1.0 security update 2014-10-01 22:10:39 UTC
Red Hat Product Errata RHSA-2015:0234 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.0.3 security update 2015-02-18 03:27:47 UTC
Red Hat Product Errata RHSA-2015:0235 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.3 security update 2015-02-18 03:27:36 UTC
Red Hat Product Errata RHSA-2015:0675 normal SHIPPED_LIVE Important: Red Hat JBoss Data Virtualization 6.1.0 update 2015-03-11 20:51:21 UTC
Red Hat Product Errata RHSA-2015:0720 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse Service Works 6.0.0 security update 2015-03-25 01:05:53 UTC
Red Hat Product Errata RHSA-2015:0765 normal SHIPPED_LIVE Important: Red Hat JBoss Data Virtualization 6.0.0 security update 2015-03-31 21:00:43 UTC
Red Hat Product Errata RHSA-2015:1009 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.2.0 update 2015-05-14 19:14:47 UTC

Description Arun Babu Neelicattu 2014-04-30 02:19:19 UTC
It was found that due to a flaw in the WebSocket08FrameDecoder implementation a remote attacker can triggern a server side Out Of Memory Exception by issuing a series of TextWebSocketFrame and ContinuationWebSocketFrames. This may, depending on the server configuration, lead to a denial of service.

Comment 2 Norman Maurer 2014-04-30 19:17:04 UTC
Following releases are out and fix the problem:

4.0.19.Final
3.9.1.Final
3.8.2.Fianl
3.7.1.Final
3.6.9.Final

Comment 3 Martin Prpič 2014-05-07 09:26:47 UTC
Acknowledgements:

Red Hat would like to thank James Roper of Typesafe for reporting this issue.

Comment 5 Ryan Zhang 2014-05-09 02:38:13 UTC
Hi, Norman
Might I ask if netty 3.2.10.Final have this security issue ? is 3.2.10.Final out of this problem?
(In reply to Norman Maurer from comment #2)
> Following releases are out and fix the problem:
> 
> 4.0.19.Final
> 3.9.1.Final
> 3.8.2.Fianl
> 3.7.1.Final
> 3.6.9.Final

Comment 6 Norman Maurer 2014-05-09 04:08:44 UTC
No it is not affected as it not ship the websockets implementation.

(In reply to Ryan Zhang from comment #5)
> Hi, Norman
> Might I ask if netty 3.2.10.Final have this security issue ? is 3.2.10.Final
> out of this problem?
> (In reply to Norman Maurer from comment #2)
> > Following releases are out and fix the problem:
> > 
> > 4.0.19.Final
> > 3.9.1.Final
> > 3.8.2.Fianl
> > 3.7.1.Final
> > 3.6.9.Final

Comment 7 manstis 2014-05-09 11:22:44 UTC
Hi Norman,

Based on comment #6 could you please confirm if 3.2.6.Final was affected?

I assume it wasn't (as I assume 3.2.x lacked websockets support).

With kind regards,

Mike

Comment 8 Norman Maurer 2014-05-09 11:23:54 UTC
3.2.6.Final was NOT affected.

(In reply to manstis from comment #7)
> Hi Norman,
> 
> Based on comment #6 could you please confirm if 3.2.6.Final was affected?
> 
> I assume it wasn't (as I assume 3.2.x lacked websockets support).
> 
> With kind regards,
> 
> Mike

Comment 10 errata-xmlrpc 2014-06-30 20:52:38 UTC
This issue has been addressed in following products:

  JBoss BRMS 6.0.2

Via RHSA-2014:0818 https://rhn.redhat.com/errata/RHSA-2014-0818.html

Comment 12 Martin Prpič 2014-07-17 14:17:42 UTC
IssueDescription:

A flaw was found in the WebSocket08FrameDecoder implementation that could allow a remote attacker to trigger an Out Of Memory Exception by issuing a series of TextWebSocketFrame and ContinuationWebSocketFrames. Depending on the server configuration, this could lead to a denial of service.

Comment 13 errata-xmlrpc 2014-07-21 18:35:36 UTC
This issue has been addressed in following products:

  JBoss Operations Network 3.2.2

Via RHSA-2014:0910 https://rhn.redhat.com/errata/RHSA-2014-0910.html

Comment 14 errata-xmlrpc 2014-08-06 14:52:48 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.3.0

Via RHSA-2014:1021 https://rhn.redhat.com/errata/RHSA-2014-1021.html

Comment 15 errata-xmlrpc 2014-08-06 15:09:08 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2014:1020 https://rhn.redhat.com/errata/RHSA-2014-1020.html

Comment 16 errata-xmlrpc 2014-08-06 15:11:22 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2014:1019 https://rhn.redhat.com/errata/RHSA-2014-1019.html

Comment 17 errata-xmlrpc 2014-10-01 18:10:55 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse/A-MQ 6.1.0

Via RHSA-2014:1351 https://rhn.redhat.com/errata/RHSA-2014-1351.html

Comment 19 errata-xmlrpc 2015-02-17 22:28:10 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.0.3

Via RHSA-2015:0235 https://rhn.redhat.com/errata/RHSA-2015-0235.html

Comment 20 errata-xmlrpc 2015-02-17 22:31:57 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.0.3

Via RHSA-2015:0234 https://rhn.redhat.com/errata/RHSA-2015-0234.html

Comment 23 errata-xmlrpc 2015-03-11 16:52:34 UTC
This issue has been addressed in the following products:

JBoss Data Virtualization 6.1.0

Via RHSA-2015:0675 https://rhn.redhat.com/errata/RHSA-2015-0675.html

Comment 24 errata-xmlrpc 2015-03-24 21:06:23 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse Service Works 6.0.0

Via RHSA-2015:0720 https://rhn.redhat.com/errata/RHSA-2015-0720.html

Comment 25 errata-xmlrpc 2015-03-31 17:01:25 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.0.0

Via RHSA-2015:0765 https://rhn.redhat.com/errata/RHSA-2015-0765.html

Comment 26 errata-xmlrpc 2015-05-14 15:17:29 UTC
This issue has been addressed in the following products:

  JBoss Portal 6.2.0

Via RHSA-2015:1009 https://rhn.redhat.com/errata/RHSA-2015-1009.html


Note You need to log in before you can comment on or make changes to this bug.